#include <bits/stdc++.h>
#define debug(x) cout << #x << " is " << x;
#define stigao() cout << "Stigao\n";

using namespace std;

typedef long long ll;

int n, k, x;
/*
5 5 5
*/
int nope(){
    cout << -1;
    return 0;
}

int solve1(){
    if(n < 3)
        return nope();
    for(int i = 1; i <= k; i++){
        cout << i * x << " ";
    }
    return 0;
}

int solve2(){
    if(n == 2){
        return nope();
    }
    int a[n + 5];
    a[n - 1] = 3 * x + 1;
    a[n - 2] = 2 * x - 1;
    a[n - 3] = x - 1;
    for(int i = 0; i < n - 3; i++)
        a[i] = x;
    for(int i = 0; i < n; i++)
        cout << a[i] << " ";
    return 0;
}

int main(){
    ios::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    cin >> n >> k >> x;
    if(n == 1)
        return nope();
    if(k == 3){
        return solve1();
    } else if(n == k){
        return solve2();
    }
    return solve1();
    return 0;
}